package core.process;

import core.operation.Operation;
import core.user.User;


public class AtomProcess extends Process {
    private String permission;
    private Operation operation;
    private String ButtonName;
    private String info;
    private String processOptions;

    public AtomProcess(String permission, String operationName, String processOptions, String info) throws Exception {
        super(info);
        this.permission = permission;
        this.operation = (Operation) core.utils.GetObjectByName.getOperationByName(operationName);
        this.info = info;
        this.processOptions = processOptions;
        operation.setProcessOperations(processOptions);
    }
    public void setUserOperations(String key,Object value){
        this.operation.addUserOperations(key,value);
    }
    public void execute(User subject){
        this.operation.execute(subject);
    }
}
